import actions from './actions'
import getters from './getters'
import mutations from './mutations'


export default {
  namespaced: true,
  state: () => ({
    csAppWindows: {},
    activeWindowIdent: null,
    errors: [],
    messages: [],
    log: [],
    sessionId: null,
    languageSuffix: null,
    paths: {},
    refreshParams: 1,
    urlLock: false,
    devAppName: null
  }),
  getters: getters,
  actions: actions,
  mutations: mutations
}
